pub const FC_ENABLE :u32 = 0x0000_0001;

pub struct UserStatus {
    pub await_flags:u32,
}
impl UserStatus {
    pub fn new() -> Self
    {
        Self {
            await_flags:0,
        }
    }
}

pub struct User {
    pub id:u32,
    pub flags:u32,
    pub handle:String,
    pub secret:Vec<u8>,
    pub na_key:u32,
    
    pub status:UserStatus,
    pub challenges:Vec<u32>,
}
